Skip to main content
GET
/
investors
/
{investor_id}
/
cash-sweep
/
interest
Get interest history
curl --request GET \
  --url https://api.bluumfinance.com/v1/investors/{investor_id}/cash-sweep/interest \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "url": "<string>",
  "has_more": true,
  "data": [
    {
      "date": "2023-12-25",
      "account_id": "<string>",
      "apr_tier_name": "<string>",
      "apr_tier_id": "<string>",
      "currency": "<string>",
      "cash_balance": "<string>",
      "account_rate_bps": 123,
      "account_accrued_interest": "<string>",
      "correspondent_rate_bps": 123,
      "correspondent_fee": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

investor_id
string
required

Investor ID (prefixed, e.g. inv_...)

Query Parameters

date
string<date>

Exact date (YYYY-MM-DD)

after
string<date>

Return entries after this date (YYYY-MM-DD)

before
string<date>

Return entries before this date (YYYY-MM-DD)

page_size
integer

Number of entries per page (1–10000)

Required range: 1 <= x <= 10000
page_token
string

Pagination cursor from a previous response

Response

Interest history entries

object
enum<string>
Available options:
list
url
string
has_more
boolean
data
object[]